
import java.util.ArrayList;
import java.util.List;
import javax.swing.table.AbstractTableModel;

/**
 *
 * @author Karel Cemus
 */
public class TaskTableModel extends AbstractTableModel {

    private static final String[] COLUMNS = new String[]{"Ukol", "Splnit"};

    private final List<String> tasks = new ArrayList<>();

    @Override
    public int getRowCount() {
        return tasks.size();
    }

    @Override
    public int getColumnCount() {
        return COLUMNS.length;
    }

    @Override
    public Class<?> getColumnClass(int columnIndex) {
        switch (columnIndex) {
            case 0:
                return String.class;
            case 1:
                return Boolean.class;
            default:
                throw new IllegalStateException("Illegal column index");
        }
    }

    @Override
    public boolean isCellEditable(int rowIndex, int columnIndex) {
        return columnIndex == 1;
    }

    @Override
    public String getColumnName(int column) {
        return COLUMNS[column];
    }

    @Override
    public Object getValueAt(int rowIndex, int columnIndex) {
        switch (columnIndex) {

            case 0:
                return tasks.get(rowIndex);
            case 1:
                return false;
            default:
                throw new IllegalStateException("Illegal column index");

        }
    }

    public void add(String task) {
        tasks.add(task);
        this.fireTableRowsInserted(tasks.size() - 1, tasks.size() - 1);
    }

    @Override
    public void setValueAt(Object aValue, int rowIndex, int columnIndex) {
        tasks.remove(rowIndex);
        fireTableRowsDeleted(rowIndex, rowIndex);
    }
    
    
}
